<?php
get_header();
?>

<h2 id="section">
<?php if(is_page()) { 
the_title(); 
} elseif(is_date()) {
echo 'Archives';
} elseif(is_category()) {
single_cat_title();
} elseif(is_search()) {
echo 'Search Results';
} else {
echo 'Blog';
} ?>
</h2>

<?php if (have_posts()) : while (have_posts()) : the_post(); $loopcounter++; ?>

<div class="<?php if(is_page()){ echo 'page'; } else { echo 'post'; } ?> <?php if ($loopcounter == 1) { echo 'first_post'; } ?>" id="post-<?php the_ID(); ?>">

<?php if(is_page()) { } else { ?>
<h3><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h3>
<?php } ?>


<?php if(is_page()) {} else { ?>
	<div class="meta">
<?php _e("Filed under:"); ?> <?php the_category(',') ?> Posted: <?php the_time() ?> <?php edit_post_link(__('Edit This')); ?> <?php comments_popup_link(__('Comments (0)'), __('Comments (1)'), __('Comments (%)')); ?> <?php wp_link_pages(); ?>
	</div>
<?php } ?>


	<div class="storycontent">
<?php if(is_single()|is_page()) { the_content(__('(more...)')); } else { the_excerpt(); } ?>
	</div>

</div>

<?php if(is_single()) { ?>
<?php comments_template(); // Get wp-comments.php template ?>
<?php } ?>

<?php endwhile; else: ?>
<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
<?php endif; ?>

<?php posts_nav_link(' &#8212; ', __('&laquo; Previous Page'), __('Next Page &raquo;')); ?>

<?php get_footer(); ?>
